#include "XmlDocument.h"

#include "XmlProlog.h"
#include "XmlElement.h"

#include <iostream>

XmlDocument::XmlDocument()
    :mProlog(XmlProlog::Create("xml"))
{

}

XmlDocument::~XmlDocument()
{

}

XmlDocumentPtr XmlDocument::Create()
{
    return std::make_unique<XmlDocument>();
}

void XmlDocument::setProlog(XmlPrologPtr prolog)
{
    mProlog = std::move(prolog);
}

XmlProlog* XmlDocument::getProlog() const
{
    return mProlog.get();
}

void XmlDocument::setRoot(XmlElementPtr root)
{
    mRoot = std::move(root);
}

XmlElement* XmlDocument::getRoot() const
{
    return mRoot.get();
}

